package konto;

public class Osoba {
	private String imie, nazwisko;
	private int wiek;
	
	public Osoba() {
	}
	
	public Osoba(String imie, String nazwisko, int wiek) {
		this.imie = imie;
		this.nazwisko = nazwisko;
		this.wiek = wiek;
	}
	
	public void przedstawSie() {
		System.out.println("Nazywam się " + imie + " " + nazwisko + " i mam " + wiek + " lat.");
	}
	
	public void urodziny() {
		wiek++;
	}
	
	public boolean jestPelnoletnia() {
		return wiek >= 18;
	}
	
	public String toString() {
		return imie + " " + nazwisko + " (" + wiek + " l.)";
	}
	
	public String getImie() {
		return imie;
	}
	
	public String getNazwisko() {
		return nazwisko;
	}
	
	public int getWiek() {
		return wiek;
	}
	
	public void setImie(String imie) {
		this.imie = imie;
	}
	
	public void setNazwisko(String nazwisko) {
		this.nazwisko = nazwisko;
	}
	
	public void setWiek(int wiek) {
		this.wiek = wiek;
	}
}
